//
// MeshDialog.h
// Copyright Michael J Stokes, 2008.
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#pragma once


class MeshDialog : public wxDialog
{
// Construction
public:
	MeshDialog( wxWindow* parent );
	virtual ~MeshDialog();
	
	DECLARE_ABSTRACT_CLASS( MeshDialog )
	
// Implementation
protected:
	
// Events
protected:
	DECLARE_EVENT_TABLE()
	void OnSelection( wxListEvent& event );
	void OnFlags( wxCommandEvent& event );
	void OnAdd( wxCommandEvent& event );
	void OnRemove( wxCommandEvent& event );
	void OnOK( wxCommandEvent& event );
	
// Data
protected:
	wxListCtrl*	_list;
	wxButton*	_remove;
	wxCheckBox*	_clip;
	wxCheckBox*	_render;
	wxCheckBox*	_depth;
};
