//
// Editor.h
// Copyright Michael J Stokes, 2008.
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#pragma once

class Application;


class VGSEditorApp : public wxApp
{
// Construction
public:
	VGSEditorApp();
	virtual ~VGSEditorApp();
	
// Operations
public:
	virtual bool	OnInit();
};

DECLARE_APP( VGSEditorApp )

BEGIN_DECLARE_EVENT_TYPES()
END_DECLARE_EVENT_TYPES()

enum EID
{
	ID_NULL,
	ID_CONTROLS = 10,
	ID_RUN,
	ID_MESHES,
	ID_BML_CONSOLE,
	ID_MESH_ADD,
	ID_MESH_REMOVE,
	ID_MESH_FLAGS,
	ID_FEATURE_NEW,
	ID_FEATURE_EDIT,
	ID_FEATURE_DELETE,
	ID_POINT_ACTIVATION,
	ID_POINT_LOCATION,
	ID_POINT_GUIDE,
	ID_POINT_DELETE,
	ID_POINT_DELETE_WITH_CAPTION,
	ID_UPDATED,
	ID_BML_EXECUTE,
	ID_BML_LAST,
	ID_SMARTBODY
};

extern const char * Activation_xpm[];
extern const char * Guide_xpm[];
extern const char * Location_xpm[];
extern const char * Meshes_xpm[];
extern const char * Open_xpm[];
extern const char * Run_xpm[];
extern const char * Star_xpm[];
